# Get

Launch stage: GA

`GET /api/2.0/mlflow/experiments/get`

Gets metadata for an experiment. This method works on deleted experiments.

API scopes: mlflow

## Query parameters

- `experiment_id` (string, optional)
  ID of the associated experiment.

## Returns

- `experiment` (object, optional)
  Experiment details.
  - `experiment_id` (string, optional)
    Unique identifier for the experiment.
  - `name` (string, optional)
    Human readable name that identifies the experiment.
  - `artifact_location` (string, optional)
    Location where artifacts for the experiment are stored.
  - `lifecycle_stage` (string, optional)
    Current life cycle stage of the experiment: "active" or "deleted".
     Deleted experiments are not returned by APIs.
  - `last_update_time` (int64, optional)
    Last update time
  - `creation_time` (int64, optional)
    Creation time
  - `tags` (array of object, optional)
    Tags: Additional metadata key-value pairs.
    - `key` (string, optional)
      The tag key.
    - `value` (string, optional)
      The tag value.
- `runs` (array of object, optional)
  A collection of active runs in the experiment. Note: this may not contain
   all of the experiment's active runs.
  
   This field is deprecated. Please use the "Search Runs" API to fetch
   runs within an experiment.
  - `run_id` (string, optional)
    Unique identifier for the run.
  - `run_uuid` (string, optional)
    [Deprecated, use run_id instead] Unique identifier for the run. This field will
     be removed in a future MLflow version.
  - `experiment_id` (string, optional)
    The experiment ID.
  - `run_name` (string, optional)
    The name of the run.
  - `user_id` (string, optional)
    User who initiated the run.
     This field is deprecated as of MLflow 1.0, and will be removed in a future
     MLflow release. Use 'mlflow.user' tag instead.
  - `status` (string, optional)
    Current status of the run.
    Possible values: `RUNNING`, `SCHEDULED`, `FINISHED`, `FAILED`, `KILLED`
  - `start_time` (int64, optional)
    Unix timestamp of when the run started in milliseconds.
  - `end_time` (int64, optional)
    Unix timestamp of when the run ended in milliseconds.
  - `artifact_uri` (string, optional)
    URI of the directory where artifacts should be uploaded.
     This can be a local path (starting with "/"), or a distributed file system (DFS)
     path, like ``s3://bucket/directory`` or ``dbfs:/my/directory``.
     If not set, the local ``./mlruns`` directory is  chosen.
  - `lifecycle_stage` (string, optional)
    Current life cycle stage of the experiment : OneOf("active", "deleted")

## Response

```json
{
  "experiment": {
    "experiment_id": "string",
    "name": "string",
    "artifact_location": "string",
    "lifecycle_stage": "string",
    "last_update_time": 0,
    "creation_time": 0,
    "tags": [
      {}
    ]
  },
  "runs": [
    {
      "run_id": "string",
      "run_uuid": "string",
      "experiment_id": "string",
      "run_name": "string",
      "user_id": "string",
      "status": "string",
      "start_time": 0,
      "end_time": 0,
      "artifact_uri": "string",
      "lifecycle_stage": "string"
    }
  ]
}
```

